- Qt 6.8
- Qt 3D
- QML Types
- Qt3D.Core (Deprecated)
- Node
- Qt 6.8.3 Reference Documentation

# Node QML Type

A base QML type that other types inherit. It cannot be directly created. More...

Import Statement: | `import Qt3D.Core 2.8`
Inherited By: | AbstractSkeleton, AbstractTextureImage, Component3D, Effect, Entity, FilterKey, FrameGraphNode, Geometry, GeometryView, Joint, KeyboardDevice, RenderPass, RenderState, RenderTargetOutput, and Technique
Status: | Deprecated

- List of all members, including inherited members

## Properties

- childNodes : list<Node>
- data : list<QtQml::QtObject>

## Detailed Description

## Property Documentation

childNodes : list<Node> `[read-only]`

data : list<QtQml::QtObject> `[default]`